diff --git a/guava/src/com/google/common/hash/Hasher.java b/guava/src/com/google/common/hash/Hasher.java
index b3f24fa..59ede64 100644
--- a/guava/src/com/google/common/hash/Hasher.java
+++ b/guava/src/com/google/common/hash/Hasher.java
@@ -14,11 +14,8 @@
 
 package com.google.common.hash;
 
-import com.google.common.annotations.Beta;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.nio.ByteBuffer;
 import java.nio.charset.Charset;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A {@link PrimitiveSink} that can compute a hash code after reading the input. Each hasher should
@@ -53,8 +50,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kevin Bourrillion
  * @since 11.0
  */
-@Beta
-@CanIgnoreReturnValue
 @ElementTypesAreNonnullByDefault
 public interface Hasher extends PrimitiveSink {
   @Override
@@ -121,7 +116,7 @@ public interface Hasher extends PrimitiveSink {
   Hasher putString(CharSequence charSequence, Charset charset);
 
   /** A simple convenience for {@code funnel.funnel(object, this)}. */
-  <T extends @Nullable Object> Hasher putObject(
+  <T extends Object> Hasher putObject(
       @ParametricNullness T instance, Funnel<? super T> funnel);
 
   /**
diff --git a/guava/src/com/google/common/hash/Hashing.java b/guava/src/com/google/common/hash/Hashing.java
index dd65367..17a273f 100644
--- a/guava/src/com/google/common/hash/Hashing.java
+++ b/guava/src/com/google/common/hash/Hashing.java
@@ -17,8 +17,6 @@ package com.google.common.hash;
 import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.errorprone.annotations.Immutable;
 import java.security.Key;
 import java.util.ArrayList;
 import java.util.Arrays;
@@ -42,7 +40,6 @@ import javax.crypto.spec.SecretKeySpec;
  * @author Kurt Alfred Kluever
  * @since 11.0
  */
-@Beta
 @ElementTypesAreNonnullByDefault
 public final class Hashing {
   /**
@@ -425,7 +422,6 @@ public final class Hashing {
     return ChecksumType.ADLER_32.hashFunction;
   }
 
-  @Immutable
   enum ChecksumType implements ImmutableSupplier<Checksum> {
     CRC_32("Hashing.crc32()") {
       @Override
diff --git a/guava/src/com/google/common/hash/HashingInputStream.java b/guava/src/com/google/common/hash/HashingInputStream.java
index bf9464c..b1a305f 100644
--- a/guava/src/com/google/common/hash/HashingInputStream.java
+++ b/guava/src/com/google/common/hash/HashingInputStream.java
@@ -16,8 +16,6 @@ package com.google.common.hash;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.FilterInputStream;
 import java.io.IOException;
 import java.io.InputStream;
@@ -28,7 +26,6 @@ import java.io.InputStream;
  * @author Qian Huang
  * @since 16.0
  */
-@Beta
 @ElementTypesAreNonnullByDefault
 public final class HashingInputStream extends FilterInputStream {
   private final Hasher hasher;
@@ -49,7 +46,6 @@ public final class HashingInputStream extends FilterInputStream {
    * byte read.
    */
   @Override
-  @CanIgnoreReturnValue
   public int read() throws IOException {
     int b = in.read();
     if (b != -1) {
@@ -63,7 +59,6 @@ public final class HashingInputStream extends FilterInputStream {
    * the bytes read.
    */
   @Override
-  @CanIgnoreReturnValue
   public int read(byte[] bytes, int off, int len) throws IOException {
     int numOfBytesRead = in.read(bytes, off, len);
     if (numOfBytesRead != -1) {
diff --git a/guava/src/com/google/common/hash/HashingOutputStream.java b/guava/src/com/google/common/hash/HashingOutputStream.java
index f138bba..14dd66f 100644
--- a/guava/src/com/google/common/hash/HashingOutputStream.java
+++ b/guava/src/com/google/common/hash/HashingOutputStream.java
@@ -16,7 +16,6 @@ package com.google.common.hash;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
 import java.io.FilterOutputStream;
 import java.io.IOException;
 import java.io.OutputStream;
@@ -27,7 +26,6 @@ import java.io.OutputStream;
  * @author Nick Piepmeier
  * @since 16.0
  */
-@Beta
 @ElementTypesAreNonnullByDefault
 public final class HashingOutputStream extends FilterOutputStream {
   private final Hasher hasher;
diff --git a/guava/src/com/google/common/hash/ImmutableSupplier.java b/guava/src/com/google/common/hash/ImmutableSupplier.java
index 24f711a..76041ad 100644
--- a/guava/src/com/google/common/hash/ImmutableSupplier.java
+++ b/guava/src/com/google/common/hash/ImmutableSupplier.java
@@ -15,13 +15,11 @@
 package com.google.common.hash;
 
 import com.google.common.base.Supplier;
-import com.google.errorprone.annotations.Immutable;
 
 /**
  * Explicitly named subinterface of {@link Supplier} that can be marked {@literal @}{@link
  * Immutable}.
  */
 // TODO(cpovirk): Should we just use ChecksumType directly instead of defining this type?
-@Immutable
 @ElementTypesAreNonnullByDefault
 interface ImmutableSupplier<T> extends Supplier<T> {}
diff --git a/guava/src/com/google/common/hash/Java8Compatibility.java b/guava/src/com/google/common/hash/Java8Compatibility.java
index c15f2b3..24cb72d 100644
--- a/guava/src/com/google/common/hash/Java8Compatibility.java
+++ b/guava/src/com/google/common/hash/Java8Compatibility.java
@@ -14,14 +14,12 @@
 
 package com.google.common.hash;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.nio.Buffer;
 
 /**
  * Wrappers around {@link Buffer} methods that are covariantly overridden in Java 9+. See
  * https://github.com/google/guava/issues/3990
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 final class Java8Compatibility {
   static void clear(Buffer b) {
diff --git a/guava/src/com/google/common/hash/MacHashFunction.java b/guava/src/com/google/common/hash/MacHashFunction.java
index 031b1c0..11e9f67 100644
--- a/guava/src/com/google/common/hash/MacHashFunction.java
+++ b/guava/src/com/google/common/hash/MacHashFunction.java
@@ -17,7 +17,6 @@ package com.google.common.hash;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.base.Preconditions.checkState;
 
-import com.google.errorprone.annotations.Immutable;
 import java.nio.ByteBuffer;
 import java.security.InvalidKeyException;
 import java.security.Key;
@@ -29,7 +28,6 @@ import javax.crypto.Mac;
  *
  * @author Kurt Alfred Kluever
  */
-@Immutable
 @ElementTypesAreNonnullByDefault
 final class MacHashFunction extends AbstractHashFunction {
 
diff --git a/guava/src/com/google/common/hash/MessageDigestHashFunction.java b/guava/src/com/google/common/hash/MessageDigestHashFunction.java
index 48b47b0..bb39a4b 100644
--- a/guava/src/com/google/common/hash/MessageDigestHashFunction.java
+++ b/guava/src/com/google/common/hash/MessageDigestHashFunction.java
@@ -18,7 +18,6 @@ import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.base.Preconditions.checkState;
 
-import com.google.errorprone.annotations.Immutable;
 import java.io.Serializable;
 import java.nio.ByteBuffer;
 import java.security.MessageDigest;
@@ -31,7 +30,6 @@ import java.util.Arrays;
  * @author Kevin Bourrillion
  * @author Dimitris Andreou
  */
-@Immutable
 @ElementTypesAreNonnullByDefault
 final class MessageDigestHashFunction extends AbstractHashFunction implements Serializable {
 
diff --git a/guava/src/com/google/common/hash/Murmur3_128HashFunction.java b/guava/src/com/google/common/hash/Murmur3_128HashFunction.java
index d1304f8..d0538a6 100644
--- a/guava/src/com/google/common/hash/Murmur3_128HashFunction.java
+++ b/guava/src/com/google/common/hash/Murmur3_128HashFunction.java
@@ -27,7 +27,6 @@ package com.google.common.hash;
 
 import static com.google.common.primitives.UnsignedBytes.toInt;
 
-import com.google.errorprone.annotations.Immutable;
 import java.io.Serializable;
 import java.nio.ByteBuffer;
 import java.nio.ByteOrder;
@@ -40,7 +39,6 @@ import javax.annotation.CheckForNull;
  * @author Austin Appleby
  * @author Dimitris Andreou
  */
-@Immutable
 @ElementTypesAreNonnullByDefault
 final class Murmur3_128HashFunction extends AbstractHashFunction implements Serializable {
   static final HashFunction MURMUR3_128 = new Murmur3_128HashFunction(0);
diff --git a/guava/src/com/google/common/hash/Murmur3_32HashFunction.java b/guava/src/com/google/common/hash/Murmur3_32HashFunction.java
index a47184b..f241e0c 100644
--- a/guava/src/com/google/common/hash/Murmur3_32HashFunction.java
+++ b/guava/src/com/google/common/hash/Murmur3_32HashFunction.java
@@ -33,8 +33,6 @@ import com.google.common.base.Charsets;
 import com.google.common.primitives.Chars;
 import com.google.common.primitives.Ints;
 import com.google.common.primitives.Longs;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.Immutable;
 import java.io.Serializable;
 import java.nio.ByteBuffer;
 import java.nio.ByteOrder;
@@ -50,7 +48,6 @@ import javax.annotation.CheckForNull;
  * @author Dimitris Andreou
  * @author Kurt Alfred Kluever
  */
-@Immutable
 @ElementTypesAreNonnullByDefault
 final class Murmur3_32HashFunction extends AbstractHashFunction implements Serializable {
   static final HashFunction MURMUR3_32 =
@@ -267,7 +264,6 @@ final class Murmur3_32HashFunction extends AbstractHashFunction implements Seria
     return HashCode.fromInt(h1);
   }
 
-  @CanIgnoreReturnValue
   private static final class Murmur3_32Hasher extends AbstractHasher {
     private int h1;
     private long buffer;
diff --git a/guava/src/com/google/common/hash/ParametricNullness.java b/guava/src/com/google/common/hash/ParametricNullness.java
index 2ae8d42..5eb043f 100644
--- a/guava/src/com/google/common/hash/ParametricNullness.java
+++ b/guava/src/com/google/common/hash/ParametricNullness.java
@@ -22,7 +22,6 @@ import static java.lang.annotation.ElementType.PARAMETER;
 import static java.lang.annotation.RetentionPolicy.RUNTIME;
 import static javax.annotation.meta.When.UNKNOWN;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 import javax.annotation.Nonnull;
@@ -35,7 +34,6 @@ import javax.annotation.meta.TypeQualifierNickname;
  * href="https://android.googlesource.com/platform/libcore/+/master/luni/src/main/java/libcore/util/NullFromTypeParam.java">{@code
  * NullFromTypeParam}</a>). We use this to "undo" {@link ElementTypesAreNonnullByDefault}.
  */
-@GwtCompatible
 @Retention(RUNTIME)
 @Target({FIELD, METHOD, PARAMETER})
 @TypeQualifierNickname
diff --git a/guava/src/com/google/common/hash/PrimitiveSink.java b/guava/src/com/google/common/hash/PrimitiveSink.java
index a29ba4e..c6fe0b7 100644
--- a/guava/src/com/google/common/hash/PrimitiveSink.java
+++ b/guava/src/com/google/common/hash/PrimitiveSink.java
@@ -14,8 +14,6 @@
 
 package com.google.common.hash;
 
-import com.google.common.annotations.Beta;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.nio.ByteBuffer;
 import java.nio.charset.Charset;
 
@@ -25,8 +23,6 @@ import java.nio.charset.Charset;
  * @author Kevin Bourrillion
  * @since 12.0 (in 11.0 as {@code Sink})
  */
-@Beta
-@CanIgnoreReturnValue
 @ElementTypesAreNonnullByDefault
 public interface PrimitiveSink {
   /**
diff --git a/guava/src/com/google/common/hash/SipHashFunction.java b/guava/src/com/google/common/hash/SipHashFunction.java
index a226b61..0e67e97 100644
--- a/guava/src/com/google/common/hash/SipHashFunction.java
+++ b/guava/src/com/google/common/hash/SipHashFunction.java
@@ -21,7 +21,6 @@ package com.google.common.hash;
 
 import static com.google.common.base.Preconditions.checkArgument;
 
-import com.google.errorprone.annotations.Immutable;
 import java.io.Serializable;
 import java.nio.ByteBuffer;
 import javax.annotation.CheckForNull;
@@ -33,7 +32,6 @@ import javax.annotation.CheckForNull;
  * @author Jean-Philippe Aumasson
  * @author Daniel J. Bernstein
  */
-@Immutable
 @ElementTypesAreNonnullByDefault
 final class SipHashFunction extends AbstractHashFunction implements Serializable {
   static final HashFunction SIP_HASH_24 =
diff --git a/guava/src/com/google/common/hash/Striped64.java b/guava/src/com/google/common/hash/Striped64.java
index 1a0671c..0433fa1 100644
--- a/guava/src/com/google/common/hash/Striped64.java
+++ b/guava/src/com/google/common/hash/Striped64.java
@@ -11,17 +11,14 @@
 
 package com.google.common.hash;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.util.Random;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A package-local class holding common representation and mechanics for classes supporting dynamic
  * striping on 64bit values. The class extends Number so that concrete subclasses must publicly do
  * so.
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 abstract class Striped64 extends Number {
   /*
@@ -127,7 +124,7 @@ abstract class Striped64 extends Number {
    * class, we use a suboptimal int[] representation to avoid introducing a new type that can impede
    * class-unloading when ThreadLocals are not removed.
    */
-  static final ThreadLocal<int @Nullable []> threadHashCode = new ThreadLocal<>();
+  static final ThreadLocal<int []> threadHashCode = new ThreadLocal<>();
 
   /** Generator of new random hash codes */
   static final Random rng = new Random();
diff --git a/guava/src/com/google/common/hash/package-info.java b/guava/src/com/google/common/hash/package-info.java
index d210f7e..310d297 100644
--- a/guava/src/com/google/common/hash/package-info.java
+++ b/guava/src/com/google/common/hash/package-info.java
@@ -19,9 +19,7 @@
  * <p>See the Guava User Guide article on <a
  * href="https://github.com/google/guava/wiki/HashingExplained">hashing</a>.
  */
-@CheckReturnValue
 @ParametersAreNonnullByDefault
 package com.google.common.hash;
 
-import com.google.errorprone.annotations.CheckReturnValue;
 import javax.annotation.ParametersAreNonnullByDefault;
diff --git a/guava/src/com/google/common/html/ElementTypesAreNonnullByDefault.java b/guava/src/com/google/common/html/ElementTypesAreNonnullByDefault.java
index a28b716..bd1d1c0 100644
--- a/guava/src/com/google/common/html/ElementTypesAreNonnullByDefault.java
+++ b/guava/src/com/google/common/html/ElementTypesAreNonnullByDefault.java
@@ -22,7 +22,6 @@ import static java.lang.annotation.ElementType.PARAMETER;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.RUNTIME;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 import javax.annotation.Nonnull;
@@ -33,7 +32,6 @@ import javax.annotation.meta.TypeQualifierDefault;
  * unfortunately includes type-variable usages, so we also provide {@link ParametricNullness} to
  * "undo" it as best we can.
  */
-@GwtCompatible
 @Retention(RUNTIME)
 @Target(TYPE)
 @TypeQualifierDefault({FIELD, METHOD, PARAMETER})
diff --git a/guava/src/com/google/common/html/HtmlEscapers.java b/guava/src/com/google/common/html/HtmlEscapers.java
index c426388..adb4ea2 100644
--- a/guava/src/com/google/common/html/HtmlEscapers.java
+++ b/guava/src/com/google/common/html/HtmlEscapers.java
@@ -14,7 +14,6 @@
 
 package com.google.common.html;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.escape.Escaper;
 import com.google.common.escape.Escapers;
 
@@ -34,7 +33,6 @@ import com.google.common.escape.Escapers;
  * @author David Beaumont
  * @since 15.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class HtmlEscapers {
   /**
diff --git a/guava/src/com/google/common/html/ParametricNullness.java b/guava/src/com/google/common/html/ParametricNullness.java
index 9a62c35..db63beb 100644
--- a/guava/src/com/google/common/html/ParametricNullness.java
+++ b/guava/src/com/google/common/html/ParametricNullness.java
@@ -22,7 +22,6 @@ import static java.lang.annotation.ElementType.PARAMETER;
 import static java.lang.annotation.RetentionPolicy.RUNTIME;
 import static javax.annotation.meta.When.UNKNOWN;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 import javax.annotation.Nonnull;
@@ -35,7 +34,6 @@ import javax.annotation.meta.TypeQualifierNickname;
  * href="https://android.googlesource.com/platform/libcore/+/master/luni/src/main/java/libcore/util/NullFromTypeParam.java">{@code
  * NullFromTypeParam}</a>). We use this to "undo" {@link ElementTypesAreNonnullByDefault}.
  */
-@GwtCompatible
 @Retention(RUNTIME)
 @Target({FIELD, METHOD, PARAMETER})
 @TypeQualifierNickname
diff --git a/guava/src/com/google/common/html/package-info.java b/guava/src/com/google/common/html/package-info.java
index f84d7f2..da133f2 100644
--- a/guava/src/com/google/common/html/package-info.java
+++ b/guava/src/com/google/common/html/package-info.java
@@ -20,9 +20,7 @@
  * <p>This package is a part of the open-source <a href="http://github.com/google/guava">Guava</a>
  * library.
  */
-@CheckReturnValue
 @ParametersAreNonnullByDefault
 package com.google.common.html;
 
-import com.google.errorprone.annotations.CheckReturnValue;
 import javax.annotation.ParametersAreNonnullByDefault;
diff --git a/guava/src/com/google/common/io/AppendableWriter.java b/guava/src/com/google/common/io/AppendableWriter.java
index d9aab34..906d8e6 100644
--- a/guava/src/com/google/common/io/AppendableWriter.java
+++ b/guava/src/com/google/common/io/AppendableWriter.java
@@ -16,7 +16,6 @@ package com.google.common.io;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.io.Closeable;
 import java.io.Flushable;
 import java.io.IOException;
@@ -31,7 +30,6 @@ import javax.annotation.CheckForNull;
  * @author Sebastian Kanthak
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 class AppendableWriter extends Writer {
   private final Appendable target;
diff --git a/guava/src/com/google/common/io/BaseEncoding.java b/guava/src/com/google/common/io/BaseEncoding.java
index f42857c..bfffbc2 100644
--- a/guava/src/com/google/common/io/BaseEncoding.java
+++ b/guava/src/com/google/common/io/BaseEncoding.java
@@ -24,11 +24,8 @@ import static java.math.RoundingMode.CEILING;
 import static java.math.RoundingMode.FLOOR;
 import static java.math.RoundingMode.UNNECESSARY;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Ascii;
 import com.google.common.base.Objects;
-import com.google.errorprone.annotations.concurrent.LazyInit;
 import java.io.IOException;
 import java.io.InputStream;
 import java.io.OutputStream;
@@ -121,7 +118,6 @@ import javax.annotation.CheckForNull;
  * @author Louis Wasserman
  * @since 14.0
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 public abstract class BaseEncoding {
   // TODO(lowasser): consider making encodeTo(Appendable, byte[], int, int) public.
@@ -169,13 +165,13 @@ public abstract class BaseEncoding {
    * {@code Writer}. When the returned {@code OutputStream} is closed, so is the backing {@code
    * Writer}.
    */
-  @GwtIncompatible // Writer,OutputStream
+  // Writer,OutputStream
   public abstract OutputStream encodingStream(Writer writer);
 
   /**
    * Returns a {@code ByteSink} that writes base-encoded bytes to the specified {@code CharSink}.
    */
-  @GwtIncompatible // ByteSink,CharSink
+  // ByteSink,CharSink
   public final ByteSink encodingSink(final CharSink encodedSink) {
     checkNotNull(encodedSink);
     return new ByteSink() {
@@ -239,14 +235,14 @@ public abstract class BaseEncoding {
    * Returns an {@code InputStream} that decodes base-encoded input from the specified {@code
    * Reader}. The returned stream throws a {@link DecodingException} upon decoding-specific errors.
    */
-  @GwtIncompatible // Reader,InputStream
+  // Reader,InputStream
   public abstract InputStream decodingStream(Reader reader);
 
   /**
    * Returns a {@code ByteSource} that reads base-encoded bytes from the specified {@code
    * CharSource}.
    */
-  @GwtIncompatible // ByteSource,CharSource
+  // ByteSource,CharSource
   public final ByteSource decodingSource(final CharSource encodedSource) {
     checkNotNull(encodedSource);
     return new ByteSource() {
@@ -586,7 +582,7 @@ public abstract class BaseEncoding {
       return alphabet.charsPerChunk * divide(bytes, alphabet.bytesPerChunk, CEILING);
     }
 
-    @GwtIncompatible // Writer,OutputStream
+    // Writer,OutputStream
     @Override
     public OutputStream encodingStream(final Writer out) {
       checkNotNull(out);
@@ -727,7 +723,7 @@ public abstract class BaseEncoding {
     }
 
     @Override
-    @GwtIncompatible // Reader,InputStream
+    // Reader,InputStream
     public InputStream decodingStream(final Reader reader) {
       checkNotNull(reader);
       return new InputStream() {
@@ -830,8 +826,8 @@ public abstract class BaseEncoding {
       return new SeparatedBaseEncoding(this, separator, afterEveryChars);
     }
 
-    @LazyInit @CheckForNull private transient BaseEncoding upperCase;
-    @LazyInit @CheckForNull private transient BaseEncoding lowerCase;
+    @CheckForNull private transient BaseEncoding upperCase;
+    @CheckForNull private transient BaseEncoding lowerCase;
 
     @Override
     public BaseEncoding upperCase() {
@@ -991,7 +987,6 @@ public abstract class BaseEncoding {
     }
   }
 
-  @GwtIncompatible
   static Reader ignoringReader(final Reader delegate, final String toIgnore) {
     checkNotNull(delegate);
     checkNotNull(toIgnore);
@@ -1048,7 +1043,7 @@ public abstract class BaseEncoding {
     };
   }
 
-  @GwtIncompatible // Writer
+  // Writer
   static Writer separatingWriter(
       final Writer delegate, final String separator, final int afterEveryChars) {
     final Appendable separatingAppendable =
@@ -1101,7 +1096,7 @@ public abstract class BaseEncoding {
           + separator.length() * divide(Math.max(0, unseparatedSize - 1), afterEveryChars, FLOOR);
     }
 
-    @GwtIncompatible // Writer,OutputStream
+    // Writer,OutputStream
     @Override
     public OutputStream encodingStream(final Writer output) {
       return delegate.encodingStream(separatingWriter(output, separator, afterEveryChars));
@@ -1142,7 +1137,7 @@ public abstract class BaseEncoding {
     }
 
     @Override
-    @GwtIncompatible // Reader,InputStream
+    // Reader,InputStream
     public InputStream decodingStream(final Reader reader) {
       return delegate.decodingStream(ignoringReader(reader, separator));
     }
diff --git a/guava/src/com/google/common/io/ByteArrayDataInput.java b/guava/src/com/google/common/io/ByteArrayDataInput.java
index cf84fcc..8d48c24 100644
--- a/guava/src/com/google/common/io/ByteArrayDataInput.java
+++ b/guava/src/com/google/common/io/ByteArrayDataInput.java
@@ -14,8 +14,6 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.DataInput;
 import java.io.IOException;
 import javax.annotation.CheckForNull;
@@ -32,7 +30,6 @@ import javax.annotation.CheckForNull;
  * @author Kevin Bourrillion
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public interface ByteArrayDataInput extends DataInput {
   @Override
@@ -46,52 +43,52 @@ public interface ByteArrayDataInput extends DataInput {
   @Override
   int skipBytes(int n);
 
-  @CanIgnoreReturnValue // to skip a byte
+  // to skip a byte
   @Override
   boolean readBoolean();
 
-  @CanIgnoreReturnValue // to skip a byte
+  // to skip a byte
   @Override
   byte readByte();
 
-  @CanIgnoreReturnValue // to skip a byte
+  // to skip a byte
   @Override
   int readUnsignedByte();
 
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   short readShort();
 
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   int readUnsignedShort();
 
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   char readChar();
 
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   int readInt();
 
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   long readLong();
 
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   float readFloat();
 
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   double readDouble();
 
-  @CanIgnoreReturnValue // to skip a line
+  // to skip a line
   @Override
   @CheckForNull
   String readLine();
 
-  @CanIgnoreReturnValue // to skip a field
+  // to skip a field
   @Override
   String readUTF();
 }
diff --git a/guava/src/com/google/common/io/ByteArrayDataOutput.java b/guava/src/com/google/common/io/ByteArrayDataOutput.java
index 3739073..b6ae62b 100644
--- a/guava/src/com/google/common/io/ByteArrayDataOutput.java
+++ b/guava/src/com/google/common/io/ByteArrayDataOutput.java
@@ -14,7 +14,6 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.io.DataOutput;
 import java.io.IOException;
 
@@ -25,7 +24,6 @@ import java.io.IOException;
  * @author Jayaprabhakar Kadarkarai
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public interface ByteArrayDataOutput extends DataOutput {
   @Override
diff --git a/guava/src/com/google/common/io/ByteProcessor.java b/guava/src/com/google/common/io/ByteProcessor.java
index 98ea3ff..bad1da6 100644
--- a/guava/src/com/google/common/io/ByteProcessor.java
+++ b/guava/src/com/google/common/io/ByteProcessor.java
@@ -14,12 +14,7 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.DoNotMock;
 import java.io.IOException;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A callback interface to process bytes from a stream.
@@ -30,11 +25,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Chris Nokleberg
  * @since 1.0
  */
-@Beta
-@DoNotMock("Implement it normally")
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
-public interface ByteProcessor<T extends @Nullable Object> {
+public interface ByteProcessor<T extends Object> {
   /**
    * This method will be called for each chunk of bytes in an input stream. The implementation
    * should process the bytes from {@code buf[off]} through {@code buf[off + len - 1]} (inclusive).
@@ -44,7 +36,7 @@ public interface ByteProcessor<T extends @Nullable Object> {
    * @param len the length of data to be processed
    * @return true to continue processing, false to stop
    */
-  @CanIgnoreReturnValue // some uses know that their processor never returns false
+  // some uses know that their processor never returns false
   boolean processBytes(byte[] buf, int off, int len) throws IOException;
 
   /** Return the result of processing all the bytes. */
diff --git a/guava/src/com/google/common/io/ByteSink.java b/guava/src/com/google/common/io/ByteSink.java
index 7a6af6f..d54408d 100644
--- a/guava/src/com/google/common/io/ByteSink.java
+++ b/guava/src/com/google/common/io/ByteSink.java
@@ -16,8 +16,6 @@ package com.google.common.io;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.BufferedOutputStream;
 import java.io.IOException;
 import java.io.InputStream;
@@ -45,7 +43,6 @@ import java.nio.charset.Charset;
  * @since 14.0
  * @author Colin Decker
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class ByteSink {
 
@@ -116,7 +113,6 @@ public abstract class ByteSink {
    * @return the number of bytes written
    * @throws IOException if an I/O occurs while reading from {@code input} or writing to this sink
    */
-  @CanIgnoreReturnValue
   public long writeFrom(InputStream input) throws IOException {
     checkNotNull(input);
 
diff --git a/guava/src/com/google/common/io/ByteSource.java b/guava/src/com/google/common/io/ByteSource.java
index c8da967..720a71e 100644
--- a/guava/src/com/google/common/io/ByteSource.java
+++ b/guava/src/com/google/common/io/ByteSource.java
@@ -19,16 +19,12 @@ import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.io.ByteStreams.createBuffer;
 import static com.google.common.io.ByteStreams.skipUpTo;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Ascii;
 import com.google.common.base.Optional;
-import com.google.common.collect.ImmutableList;
 import com.google.common.hash.Funnels;
 import com.google.common.hash.HashCode;
 import com.google.common.hash.HashFunction;
 import com.google.common.hash.Hasher;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.BufferedInputStream;
 import java.io.ByteArrayInputStream;
 import java.io.IOException;
@@ -40,7 +36,6 @@ import java.nio.charset.Charset;
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.Iterator;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A readable source of bytes, such as a file. Unlike an {@link InputStream}, a {@code ByteSource}
@@ -73,7 +68,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @since 14.0
  * @author Colin Decker
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public abstract class ByteSource {
 
@@ -178,7 +172,6 @@ public abstract class ByteSource {
    *
    * @since 19.0
    */
-  @Beta
   public Optional<Long> sizeIfKnown() {
     return Optional.absent();
   }
@@ -247,7 +240,6 @@ public abstract class ByteSource {
    * @throws IOException if an I/O error occurs while reading from this source or writing to {@code
    *     output}
    */
-  @CanIgnoreReturnValue
   public long copyTo(OutputStream output) throws IOException {
     checkNotNull(output);
 
@@ -269,7 +261,6 @@ public abstract class ByteSource {
    * @throws IOException if an I/O error occurs while reading from this source or writing to {@code
    *     sink}
    */
-  @CanIgnoreReturnValue
   public long copyTo(ByteSink sink) throws IOException {
     checkNotNull(sink);
 
@@ -314,9 +305,8 @@ public abstract class ByteSource {
    *     processor} throws an {@code IOException}
    * @since 16.0
    */
-  @Beta
-  @CanIgnoreReturnValue // some processors won't return a useful result
-  public <T extends @Nullable Object> T read(ByteProcessor<T> processor) throws IOException {
+  // some processors won't return a useful result
+  public <T extends Object> T read(ByteProcessor<T> processor) throws IOException {
     checkNotNull(processor);
 
     Closer closer = Closer.create();
@@ -621,7 +611,7 @@ public abstract class ByteSource {
     @SuppressWarnings("CheckReturnValue") // it doesn't matter what processBytes returns here
     @Override
     @ParametricNullness
-    public <T extends @Nullable Object> T read(ByteProcessor<T> processor) throws IOException {
+    public <T extends Object> T read(ByteProcessor<T> processor) throws IOException {
       processor.processBytes(bytes, offset, length);
       return processor.getResult();
     }
